V3 Manage Internal User Compensation Plans

Used to Add (assign), Update, or Delete future user compensation plans for a specified Encompass internal user.

This API added with the 24.2 release of Encompass.

Usage Notes

  • Access Rights
    • Only administrators (admin account, Super Administrator persona, and/or Administrator persona) or non-admin users with the Settings “Organizations/User” persona can update user accounts.
    • The calling user only has access to update users within their same organization, or lower child organizations of their organization.
  • To retrieve a list of compensation plans from your instance, use GET /encompass/v3/settings/fees/loCompensationPlans .
  • Current and Historical Compensation Plans are read-only and cannot be updated.
  • Future Compensation Plans
    • Only Future Plans can be included in the request payload.
    • The ‘startDate’ is required, and cannot be earlier than today's date.
    • After you add a future plan with a startDate equal to tomorrow’s date, this becomes the ‘currentPlan’. After this is done, the ‘currentPlan’ cannot be deleted.
    • To Add additional future plans, the request must include any existing future plans, as well as the plans you wish to add. The entire ‘futurePlans’ collection is replaced with what is provided in the request body.
    • To remove all future plans, send the futurePlans array as empty. To only remove specific plans, send the futurePlans array with only the plans that should remain. The entire ‘futurePlans’ collection is replaced with what is provided in the request body.
Path Params
string
required

Unique identifier of the user.

Query Params
boolean

Optional. Ignore Minium Term Days from LO Compensation Plan settings while adding compensation plans.

string

Optional. View type parameter. Enumerations: entity, id
When no view parameter is provided, the API will return 204 - No Content with no response body.

Body Params
boolean

True indicates to apply the compensation plans from the parent company instead of individual loan officer level. While you can assign a compensation plan to an individual loan officer, you can also assign a compensation plan to a company or branch. With a company or branch compensation plan in place, you can then select the Use Parent Info check box to assign the company or branch plan to a loan officer. Any plans that are assigned to the company or branch in the future are then applied to the loan officer. If this compensation plans object is passed, then this property is mandatory.

futurePlans
array of objects

Future plans array.

futurePlans
currentPlan
array of objects

RetrieveOnly. Current plans array.

currentPlan
historicalPlans
array of objects

RetrieveOnly. Historical plans array.

historicalPlans
Headers
string
required

Bearer token

Responses

403

Forbidden

Language
URL
Response
Choose an example:
application/json